NewLoginService (gCube Bundle Login Portlet 2.0.0-SNAPSHOT API)
Date: 2014-05-10

org.gcube.portlets.user.gcubelogin.client.stubs

## Interface NewLoginService

- All Superinterfaces:
    com.google.gwt.user.client.rpc.RemoteService
  All Known Implementing Classes:
    LoginServiceImpl

      public interface NewLoginService
      extends com.google.gwt.user.client.rpc.RemoteService

  Version:
    2.0 Jan 10th 2012
  Author:
    Rena Tsantouli, NKUA, Massimiliano Assante ISTI-CNR

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMembershipRequest(String scope, String optionalMessage)`
    `HashMap<String,ArrayList<CheckResult>>` | `checkInfrastructure(String infrastructure, String startScopes)`
    `Boolean` | `checkVresPresence(String infrastructure, String startScopes)`
    `Boolean` | `createAdministratorAccount(String email, String password, String firstname, String lastname)`
    `String[]` | `getConfigFromGCore()`
    `ArrayList<VO>` | `getInfrastructureVOs()`
    `VO` | `getRootVO()`
    `ResearchEnvironment` | `getSelectedRE()`
    `ArrayList<VO>` | `getVresFromInfrastructure(String infrastructure, String startScopes)`
    `Boolean` | `installPortalEnv(String infrastructure, String startScopes, SelectedTheme theme, boolean automaticRedirect)`
    `Boolean` | `installVREs(ArrayList<VO> parents)`
    `Boolean` | `isLayoutLoaded()`
    `void` | `loadLayout(String scope, String URL)`

- - ### Method Detail

    - #### getSelectedRE

          ResearchEnvironment getSelectedRE()

    - #### isLayoutLoaded

          Boolean isLayoutLoaded()

    - #### getInfrastructureVOs

          ArrayList<VO> getInfrastructureVOs()

    - #### getRootVO

          VO getRootVO()

    - #### addMembershipRequest

          void addMembershipRequest(String scope,
                                  String optionalMessage)

    - #### loadLayout

          void loadLayout(String scope,
                        String URL)

    - #### installPortalEnv

          Boolean installPortalEnv(String infrastructure,
                                 String startScopes,
                                 SelectedTheme theme,
                                 boolean automaticRedirect)

    - #### checkInfrastructure

          HashMap<String,ArrayList<CheckResult>> checkInfrastructure(String infrastructure,
                                                                   String startScopes)

      Parameters:
        `infrastructure` - the infrastructure name
        `startScopes` - the starting scopes
      Returns:
        an Hashmap containing for each scope, and array of CheckResult

    - #### getConfigFromGCore

          String[] getConfigFromGCore()

    - #### checkVresPresence

          Boolean checkVresPresence(String infrastructure,
                                  String startScopes)

    - #### getVresFromInfrastructure

          ArrayList<VO> getVresFromInfrastructure(String infrastructure,
                                                String startScopes)

      Parameters:
        `infrastructure` - the infrastructure name
        `startScopes` - the starting scopes
      Returns:
        an arraylist of VO containing their child VREs

    - #### installVREs

          Boolean installVREs(ArrayList<VO> parents)

    - #### createAdministratorAccount

          Boolean createAdministratorAccount(String email,
                                           String password,
                                           String firstname,
                                           String lastname)

Copyright © 2014. All Rights Reserved.